Skip to content

GET /api/v3/campaigns/{lcuid}/digital-boards

Summary

GET campaigns/{lcuid}/digital-boards

Description

Get a list of digital boards that are currently attached to this campaign. See Digital Board for details on the digital board object

Tags: campaigns

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • digital_boards (array)
  • Array items: object Type: object

    Properties:

    • board_identifier (string)
    • name (string)
    • status (integer)
    • created_at (string)
    • updated_at (string)
    • network (integer)
    • width (integer)
    • height (integer)
    • hardware_provider (string)
    • software_provider (string)
    • description (string)
    • street_view_status (string)
    • street_view_review_status (integer)
    • xr_status (integer)
    • venue_taxonomy_id (integer)
    • board_class (string)
    • hash_id (string)
    • creative_width (integer)
    • creative_height (integer)
    • creative_is_upscaled (boolean)
    • digital_board_format (object) Type: object

    Properties:

    • code (string)
    • name (string)
    • width (integer)
    • height (integer)
    • min_ratio (number)
    • max_ratio (number)
    • meta (array)

    • location (object) Type: object

    Properties:

    • name (string)
    • description (string)
    • phone (string)
    • address (string)
    • city (string)
    • region (string)
    • postal_code (string)
    • country (string)
    • latitude (string)
    • longitude (string)
    • location_default (integer)
    • status (integer)
    • options (object) Type: object

      Properties:

      • _init (array)
    • location_class (string)

    • lcuid (string)
    • street_view_status (string)
    • heading (string)
    • pitch (string)
    • zoom (string)
    • hash_id (string)
    • lid (string)
    • parent_id (integer)
    • parent_type (string)
    • created_at (string)
    • updated_at (string)
    • location_class_description (string)
    • fov (integer)

    • street_view_location (string)

    • board_class_description (string)
    • board_size_description (string)
    • options (object) Type: object

    Properties:

    • primary_image_public_url (string)
    • slot_count (string)
    • slot_length (string)
    • impressions_calc_method (string)
    • avg_daily_impressions (string)
    • facing_degrees (string)
    • facing_cardinal (string)
    • read (string)
    • pending_xr_image_url (string)

    • lcuid (string)

    • slug (string)
    • address (string)
    • city (string)
    • region (string)
    • postal_code (string)
    • country (string)
    • transact_channel_class (array)
    • Array items: string
    • transact_channel_class_description (string)
    • media_type_class (array)
    • Array items: string
    • media_type_class_description (string)
    • aspect_ratio (string)
    • latitude (string)
    • longitude (string)
    • cached_tags (string)
Example Response
{
    "success": true,
    "digital_boards": [
        {
            "board_identifier": "qrgfcfa",
            "name": "Unit Test - 3E25ZEdgKzUbstg",
            "status": 1,
            "created_at": "2026-01-07T00:12:45.000000Z",
            "updated_at": "2026-01-07T00:12:45.000000Z",
            "network": 0,
            "width": 1400,
            "height": 400,
            "hardware_provider": "unit_test_hardware",
            "software_provider": "unit_test_software_provider",
            "description": null,
            "street_view_status": null,
            "street_view_review_status": 0,
            "xr_status": 0,
            "venue_taxonomy_id": 301,
            "board_class": "App\\LuCore\\DigitalBoards\\DigitalBillboardBoardClass",
            "hash_id": "lch-4Hrj",
            "creative_width": 1400,
            "creative_height": 400,
            "creative_is_upscaled": false,
            "digital_board_format": {
                "code": "bulletin",
                "name": "Bulletin",
                "width": 1400,
                "height": 400,
                "min_ratio": 3.2666,
                "max_ratio": 3.717,
                "meta": []
            },
            "location": {
                "name": "Unit Test - YhrRpIUO7QOdyt5",
                "description": "Unit Test Description - SRiJKuV3IHzFD0SapGDGR8gg1o2BHFebaUMiu2YB1VEQ65AM0AoBCTCWVBFE6G46vV2BFiS42C1WzwWuJMoHRkUfvfHExPsp6NLwrzOTjQzJbaR5YgQtvQ5XTgPjespypi75VxCnJXwFi4IfKA1Y0d",
                "phone": "(681) 272-1697",
                "address": "42124 Vito Canyon",
                "city": "Lake Scarlett",
                "region": "Maine",
                "postal_code": "74563",
                "country": "US",
                "latitude": "29.64050700000000",
                "longitude": "-108.95602200000000",
                "location_default": 1,
                "status": 1,
                "options": {
                    "_init": []
                },
                "location_class": "App\\LuCore\\Locations\\GenericLocationClass",
                "lcuid": "LCUID-LL-3230e402-ac9b-4a23-8ab6-b18be40edbe6",
                "street_view_status": null,
                "heading": null,
                "pitch": null,
                "zoom": null,
                "hash_id": "lch-4CtK",
                "lid": "LL2870",
                "parent_id": 21991,
                "parent_type": "App\\DigitalBoard",
                "created_at": "2026-01-07T00:12:45.000000Z",
                "updated_at": "2026-01-07T00:12:45.000000Z",
                "location_class_description": "Generic Location",
                "fov": 1
            },
            "street_view_location": null,
            "board_class_description": "Digital Billboard",
            "board_size_description": "1400x400",
            "options": {
                "primary_image_public_url": null,
                "slot_count": null,
                "slot_length": null,
                "impressions_calc_method": null,
                "avg_daily_impressions": null,
                "facing_degrees": null,
                "facing_cardinal": null,
                "read": null,
                "pending_xr_image_url": null
            },
            "lcuid": "LCUID-LB-031c290a-e02e-47de-a677-214415e3e720",
            "slug": "TestAgencyUnitTestFobwhBoardQrgfcfa",
            "address": "42124 Vito Canyon",
            "city": "Lake Scarlett",
            "region": "Maine",
            "postal_code": "74563",
            "country": "US",
            "transact_channel_class": [
                "App\\LuCore\\DigitalBoards\\TransactChannels\\ContractTransactChannelClass"
            ],
            "transact_channel_class_description": "Contract",
            "media_type_class": [
                "App\\LuCore\\DigitalBoards\\MediaTypes\\ImageMediaTypeClass"
            ],
            "media_type_class_description": "Image",
            "aspect_ratio": "3.50000000",
            "latitude": "29.64050700",
            "longitude": "-108.95602200",
            "cached_tags": null
        },
        {
            "board_identifier": "lceeiji",
            "name": "Unit Test - XwLuUh06EXg9toU",
            "status": 1,
            "created_at": "2026-01-07T00:12:46.000000Z",
            "updated_at": "2026-01-07T00:12:46.000000Z",
            "network": 0,
            "width": 1400,
            "height": 400,
            "hardware_provider": "unit_test_hardware",
            "software_provider": "unit_test_software_provider",
            "description": null,
            "street_view_status": null,
            "street_view_review_status": 0,
            "xr_status": 0,
            "venue_taxonomy_id": 301,
            "board_class": "App\\LuCore\\DigitalBoards\\DigitalBillboardBoardClass",
            "hash_id": "lch-4Hrk",
            "creative_width": 1400,
            "creative_height": 400,
            "creative_is_upscaled": false,
            "digital_board_format": {
                "code": "bulletin",
                "name": "Bulletin",
                "width": 1400,
                "height": 400,
                "min_ratio": 3.2666,
                "max_ratio": 3.717,
                "meta": []
            },
            "location": {
                "name": "Unit Test - l37mCKiY1170iJS",
                "description": "Unit Test Description - N0Bq7BD8Et0jZbp0Ybgmrj8xQpeNMHse9Mc6tAehs5oawmIbdv8ghdmtJq6dJFwhw0CMMAIT859eslonAhSdlAsS2zat1xKsvOBwqwZVVQEGgjkPPBhn8ioq8Y6VPgT6ldUa6Fmg30FKYW036Br9pm",
                "phone": "815.416.7147",
                "address": "7723 Macejkovic Lane",
                "city": "South Maxineton",
                "region": "West Virginia",
                "postal_code": "38483-7822",
                "country": "US",
                "latitude": "36.95609900000000",
                "longitude": "-111.76099100000000",
                "location_default": 1,
                "status": 1,
                "options": {
                    "_init": []
                },
                "location_class": "App\\LuCore\\Locations\\GenericLocationClass",
                "lcuid": "LCUID-LL-f568ddea-389e-4812-8852-123a076f4d12",
                "street_view_status": null,
                "heading": null,
                "pitch": null,
                "zoom": null,
                "hash_id": "lch-4CtL",
                "lid": "LL2871",
                "parent_id": 21992,
                "parent_type": "App\\DigitalBoard",
                "created_at": "2026-01-07T00:12:46.000000Z",
                "updated_at": "2026-01-07T00:12:46.000000Z",
                "location_class_description": "Generic Location",
                "fov": 1
            },
            "street_view_location": null,
            "board_class_description": "Digital Billboard",
            "board_size_description": "1400x400",
            "options": {
                "primary_image_public_url": null,
                "slot_count": null,
                "slot_length": null,
                "impressions_calc_method": null,
                "avg_daily_impressions": null,
                "facing_degrees": null,
                "facing_cardinal": null,
                "read": null,
                "pending_xr_image_url": null
            },
            "lcuid": "LCUID-LB-d78ecd5a-f139-47fc-9c64-95a59e40cf15",
            "slug": "TestAgencyUnitTestFobwhBoardLceeiji",
            "address": "7723 Macejkovic Lane",
            "city": "South Maxineton",
            "region": "West Virginia",
            "postal_code": "38483-7822",
            "country": "US",
            "transact_channel_class": [
                "App\\LuCore\\DigitalBoards\\TransactChannels\\ContractTransactChannelClass"
            ],
            "transact_channel_class_description": "Contract",
            "media_type_class": [
                "App\\LuCore\\DigitalBoards\\MediaTypes\\ImageMediaTypeClass"
            ],
            "media_type_class_description": "Image",
            "aspect_ratio": "3.50000000",
            "latitude": "36.95609900",
            "longitude": "-111.76099100",
            "cached_tags": null
        },
        {
            "board_identifier": "mxyeldh",
            "name": "Unit Test - PmQ0iJZY8omPGVm",
            "status": 1,
            "created_at": "2026-01-07T00:12:46.000000Z",
            "updated_at": "2026-01-07T00:12:46.000000Z",
            "network": 0,
            "width": 1400,
            "height": 400,
            "hardware_provider": "unit_test_hardware",
            "software_provider": "unit_test_software_provider",
            "description": null,
            "street_view_status": null,
            "street_view_review_status": 0,
            "xr_status": 0,
            "venue_taxonomy_id": 301,
            "board_class": "App\\LuCore\\DigitalBoards\\DigitalBillboardBoardClass",
            "hash_id": "lch-4Hrl",
            "creative_width": 1400,
            "creative_height": 400,
            "creative_is_upscaled": false,
            "digital_board_format": {
                "code": "bulletin",
                "name": "Bulletin",
                "width": 1400,
                "height": 400,
                "min_ratio": 3.2666,
                "max_ratio": 3.717,
                "meta": []
            },
            "location": {
                "name": "Unit Test - kUuJl42AiWUVuCM",
                "description": "Unit Test Description - QrrhRTnCEj6jKOPBKeJFHAq40jTEG2HPJnHbMxo7uViBRkuCPeiiLhGMn4IeoGH0vDspfqR2MgyCSMXWCnJfcxu7HxijY4n0QuSlUmKrnAudThinX6HR22SxPH9vEPtnXUVEU8oNC23lnG276CtiJv",
                "phone": "+1-732-825-4676",
                "address": "860 Beth Dale",
                "city": "Gaetanotown",
                "region": "Mississippi",
                "postal_code": "51445",
                "country": "US",
                "latitude": "37.42016900000000",
                "longitude": "-116.17611500000000",
                "location_default": 1,
                "status": 1,
                "options": {
                    "_init": []
                },
                "location_class": "App\\LuCore\\Locations\\GenericLocationClass",
                "lcuid": "LCUID-LL-15a586f1-2ade-4035-b6a0-918cc31e8d99",
                "street_view_status": null,
                "heading": null,
                "pitch": null,
                "zoom": null,
                "hash_id": "lch-4CtM",
                "lid": "LL2872",
                "parent_id": 21993,
                "parent_type": "App\\DigitalBoard",
                "created_at": "2026-01-07T00:12:46.000000Z",
                "updated_at": "2026-01-07T00:12:46.000000Z",
                "location_class_description": "Generic Location",
                "fov": 1
            },
            "street_view_location": null,
            "board_class_description": "Digital Billboard",
            "board_size_description": "1400x400",
            "options": {
                "primary_image_public_url": null,
                "slot_count": null,
                "slot_length": null,
                "impressions_calc_method": null,
                "avg_daily_impressions": null,
                "facing_degrees": null,
                "facing_cardinal": null,
                "read": null,
                "pending_xr_image_url": null
            },
            "lcuid": "LCUID-LB-95f118e3-0269-421b-a391-449474b62593",
            "slug": "TestAgencyUnitTestFobwhBoardMxyeldh",
            "address": "860 Beth Dale",
            "city": "Gaetanotown",
            "region": "Mississippi",
            "postal_code": "51445",
            "country": "US",
            "transact_channel_class": [
                "App\\LuCore\\DigitalBoards\\TransactChannels\\ContractTransactChannelClass"
            ],
            "transact_channel_class_description": "Contract",
            "media_type_class": [
                "App\\LuCore\\DigitalBoards\\MediaTypes\\ImageMediaTypeClass"
            ],
            "media_type_class_description": "Image",
            "aspect_ratio": "3.50000000",
            "latitude": "37.42016900",
            "longitude": "-116.17611500",
            "cached_tags": null
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/campaigns/LCUID-LE-506fc585-77be-11ec-acb9-c2cdb617d190/digital-boards" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/campaigns/LCUID-LE-506fc585-77be-11ec-acb9-c2cdb617d190/digital-boards"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/campaigns/LCUID-LE-506fc585-77be-11ec-acb9-c2cdb617d190/digital-boards',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/campaigns/LCUID-LE-506fc585-77be-11ec-acb9-c2cdb617d190/digital-boards'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to campaigns index | Back to main index